
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIBodywork complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIBodywork"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="No6" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No7" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No8" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="R" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="S" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="S1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="S2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No9" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No10" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No11" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIBodywork", propOrder = {
    "no6",
    "no7",
    "no8",
    "r",
    "s",
    "s1",
    "s2",
    "no9",
    "no10",
    "no11"
})
public class WSRCIIBodywork {

    @XmlElement(name = "No6", nillable = true)
    protected String no6;
    @XmlElement(name = "No7", nillable = true)
    protected String no7;
    @XmlElement(name = "No8", nillable = true)
    protected String no8;
    @XmlElement(name = "R", nillable = true)
    protected String r;
    @XmlElement(name = "S", nillable = true)
    protected String s;
    @XmlElement(name = "S1", nillable = true)
    protected String s1;
    @XmlElement(name = "S2", nillable = true)
    protected String s2;
    @XmlElement(name = "No9", nillable = true)
    protected String no9;
    @XmlElement(name = "No10", nillable = true)
    protected String no10;
    @XmlElement(name = "No11", nillable = true)
    protected String no11;

    /**
     * Gets the value of the no6 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo6() {
        return no6;
    }

    /**
     * Sets the value of the no6 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo6(String value) {
        this.no6 = value;
    }

    /**
     * Gets the value of the no7 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo7() {
        return no7;
    }

    /**
     * Sets the value of the no7 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo7(String value) {
        this.no7 = value;
    }

    /**
     * Gets the value of the no8 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo8() {
        return no8;
    }

    /**
     * Sets the value of the no8 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo8(String value) {
        this.no8 = value;
    }

    /**
     * Gets the value of the r property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getR() {
        return r;
    }

    /**
     * Sets the value of the r property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setR(String value) {
        this.r = value;
    }

    /**
     * Gets the value of the s property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getS() {
        return s;
    }

    /**
     * Sets the value of the s property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setS(String value) {
        this.s = value;
    }

    /**
     * Gets the value of the s1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getS1() {
        return s1;
    }

    /**
     * Sets the value of the s1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setS1(String value) {
        this.s1 = value;
    }

    /**
     * Gets the value of the s2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getS2() {
        return s2;
    }

    /**
     * Sets the value of the s2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setS2(String value) {
        this.s2 = value;
    }

    /**
     * Gets the value of the no9 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo9() {
        return no9;
    }

    /**
     * Sets the value of the no9 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo9(String value) {
        this.no9 = value;
    }

    /**
     * Gets the value of the no10 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo10() {
        return no10;
    }

    /**
     * Sets the value of the no10 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo10(String value) {
        this.no10 = value;
    }

    /**
     * Gets the value of the no11 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo11() {
        return no11;
    }

    /**
     * Sets the value of the no11 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo11(String value) {
        this.no11 = value;
    }

    public WSRCIIBodywork withNo6(String value) {
        setNo6(value);
        return this;
    }

    public WSRCIIBodywork withNo7(String value) {
        setNo7(value);
        return this;
    }

    public WSRCIIBodywork withNo8(String value) {
        setNo8(value);
        return this;
    }

    public WSRCIIBodywork withR(String value) {
        setR(value);
        return this;
    }

    public WSRCIIBodywork withS(String value) {
        setS(value);
        return this;
    }

    public WSRCIIBodywork withS1(String value) {
        setS1(value);
        return this;
    }

    public WSRCIIBodywork withS2(String value) {
        setS2(value);
        return this;
    }

    public WSRCIIBodywork withNo9(String value) {
        setNo9(value);
        return this;
    }

    public WSRCIIBodywork withNo10(String value) {
        setNo10(value);
        return this;
    }

    public WSRCIIBodywork withNo11(String value) {
        setNo11(value);
        return this;
    }

}
